

# Data Automation for Amazon Bedrock
<a name="API_Operations_Data_Automation_for_Amazon_Bedrock"></a>

The following actions are supported by Data Automation for Amazon Bedrock:
+  [CopyBlueprintStage](API_data-automation_CopyBlueprintStage.md) 
+  [CreateBlueprint](API_data-automation_CreateBlueprint.md) 
+  [CreateBlueprintVersion](API_data-automation_CreateBlueprintVersion.md) 
+  [CreateDataAutomationLibrary](API_data-automation_CreateDataAutomationLibrary.md) 
+  [CreateDataAutomationProject](API_data-automation_CreateDataAutomationProject.md) 
+  [DeleteBlueprint](API_data-automation_DeleteBlueprint.md) 
+  [DeleteDataAutomationLibrary](API_data-automation_DeleteDataAutomationLibrary.md) 
+  [DeleteDataAutomationProject](API_data-automation_DeleteDataAutomationProject.md) 
+  [GetBlueprint](API_data-automation_GetBlueprint.md) 
+  [GetBlueprintOptimizationStatus](API_data-automation_GetBlueprintOptimizationStatus.md) 
+  [GetDataAutomationLibrary](API_data-automation_GetDataAutomationLibrary.md) 
+  [GetDataAutomationLibraryEntity](API_data-automation_GetDataAutomationLibraryEntity.md) 
+  [GetDataAutomationLibraryIngestionJob](API_data-automation_GetDataAutomationLibraryIngestionJob.md) 
+  [GetDataAutomationProject](API_data-automation_GetDataAutomationProject.md) 
+  [InvokeBlueprintOptimizationAsync](API_data-automation_InvokeBlueprintOptimizationAsync.md) 
+  [InvokeDataAutomationLibraryIngestionJob](API_data-automation_InvokeDataAutomationLibraryIngestionJob.md) 
+  [ListBlueprints](API_data-automation_ListBlueprints.md) 
+  [ListDataAutomationLibraries](API_data-automation_ListDataAutomationLibraries.md) 
+  [ListDataAutomationLibraryEntities](API_data-automation_ListDataAutomationLibraryEntities.md) 
+  [ListDataAutomationLibraryIngestionJobs](API_data-automation_ListDataAutomationLibraryIngestionJobs.md) 
+  [ListDataAutomationProjects](API_data-automation_ListDataAutomationProjects.md) 
+  [ListTagsForResource](API_data-automation_ListTagsForResource.md) 
+  [TagResource](API_data-automation_TagResource.md) 
+  [UntagResource](API_data-automation_UntagResource.md) 
+  [UpdateBlueprint](API_data-automation_UpdateBlueprint.md) 
+  [UpdateDataAutomationLibrary](API_data-automation_UpdateDataAutomationLibrary.md) 
+  [UpdateDataAutomationProject](API_data-automation_UpdateDataAutomationProject.md) 

# CopyBlueprintStage
<a name="API_data-automation_CopyBlueprintStage"></a>

Copies a blueprint from one stage to another.

## Request Syntax
<a name="API_data-automation_CopyBlueprintStage_RequestSyntax"></a>

```
PUT /blueprints/blueprintArn/copy-stage HTTP/1.1
Content-type: application/json

{
   "clientToken": "string",
   "sourceStage": "string",
   "targetStage": "string"
}
```

## URI Request Parameters
<a name="API_data-automation_CopyBlueprintStage_RequestParameters"></a>

The request uses the following URI parameters.

 ** [blueprintArn](#API_data-automation_CopyBlueprintStage_RequestSyntax) **   <a name="bedrock-data-automation_CopyBlueprintStage-request-uri-blueprintArn"></a>
The blueprint's ARN.  
Length Constraints: Minimum length of 0. Maximum length of 128.  
Pattern: `arn:aws(|-cn|-us-gov):bedrock:[a-zA-Z0-9-]*:(aws|[0-9]{12}):blueprint/(bedrock-data-automation-public-[a-zA-Z0-9-_]{1,30}|[a-zA-Z0-9-]{12,36})`   
Required: Yes

## Request Body
<a name="API_data-automation_CopyBlueprintStage_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [clientToken](#API_data-automation_CopyBlueprintStage_RequestSyntax) **   <a name="bedrock-data-automation_CopyBlueprintStage-request-clientToken"></a>
To avoid creating duplicate resources, specify a unique token for this operation.  
Type: String  
Length Constraints: Minimum length of 33. Maximum length of 256.  
Pattern: `[a-zA-Z0-9](-*[a-zA-Z0-9]){0,256}`   
Required: No

 ** [sourceStage](#API_data-automation_CopyBlueprintStage_RequestSyntax) **   <a name="bedrock-data-automation_CopyBlueprintStage-request-sourceStage"></a>
The stage to copy from.  
Type: String  
Valid Values: `DEVELOPMENT | LIVE`   
Required: Yes

 ** [targetStage](#API_data-automation_CopyBlueprintStage_RequestSyntax) **   <a name="bedrock-data-automation_CopyBlueprintStage-request-targetStage"></a>
The stage to copy to.  
Type: String  
Valid Values: `DEVELOPMENT | LIVE`   
Required: Yes

## Response Syntax
<a name="API_data-automation_CopyBlueprintStage_ResponseSyntax"></a>

```
HTTP/1.1 200
```

## Response Elements
<a name="API_data-automation_CopyBlueprintStage_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response with an empty HTTP body.

## Errors
<a name="API_data-automation_CopyBlueprintStage_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
  
HTTP Status Code: 403

 ** InternalServerException **   
  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
  
HTTP Status Code: 404

 ** ThrottlingException **   
  
HTTP Status Code: 429

 ** ValidationException **   
  
HTTP Status Code: 400

## See Also
<a name="API_data-automation_CopyBlueprintStage_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/bedrock-data-automation-2023-07-26/CopyBlueprintStage) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/bedrock-data-automation-2023-07-26/CopyBlueprintStage) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/bedrock-data-automation-2023-07-26/CopyBlueprintStage) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/bedrock-data-automation-2023-07-26/CopyBlueprintStage) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/bedrock-data-automation-2023-07-26/CopyBlueprintStage) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/bedrock-data-automation-2023-07-26/CopyBlueprintStage) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/bedrock-data-automation-2023-07-26/CopyBlueprintStage) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/bedrock-data-automation-2023-07-26/CopyBlueprintStage) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/bedrock-data-automation-2023-07-26/CopyBlueprintStage) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/bedrock-data-automation-2023-07-26/CopyBlueprintStage) 

# CreateBlueprint
<a name="API_data-automation_CreateBlueprint"></a>

Creates a blueprint. A blueprint has a schema that maps data fields to prompts that tell a model how to get the data out of an image or document. For schema examples, use [ListBlueprints](API_data-automation_ListBlueprints.md) to get a list of public blueprints and [GetBlueprint](API_data-automation_GetBlueprint.md) to view a blueprint.

## Request Syntax
<a name="API_data-automation_CreateBlueprint_RequestSyntax"></a>

```
PUT /blueprints/ HTTP/1.1
Content-type: application/json

{
   "blueprintName": "string",
   "blueprintStage": "string",
   "clientToken": "string",
   "encryptionConfiguration": { 
      "kmsEncryptionContext": { 
         "string" : "string" 
      },
      "kmsKeyId": "string"
   },
   "schema": "string",
   "tags": [ 
      { 
         "key": "string",
         "value": "string"
      }
   ],
   "type": "string"
}
```

## URI Request Parameters
<a name="API_data-automation_CreateBlueprint_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_data-automation_CreateBlueprint_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [blueprintName](#API_data-automation_CreateBlueprint_RequestSyntax) **   <a name="bedrock-data-automation_CreateBlueprint-request-blueprintName"></a>
A name for the blueprint.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 128.  
Pattern: `[a-zA-Z0-9-_]+`   
Required: Yes

 ** [blueprintStage](#API_data-automation_CreateBlueprint_RequestSyntax) **   <a name="bedrock-data-automation_CreateBlueprint-request-blueprintStage"></a>
To indicate that the blueprint is not final, set to `DEVELOPMENT`. Otherwise, the blueprint is created in the `LIVE` stage.  
Type: String  
Valid Values: `DEVELOPMENT | LIVE`   
Required: No

 ** [clientToken](#API_data-automation_CreateBlueprint_RequestSyntax) **   <a name="bedrock-data-automation_CreateBlueprint-request-clientToken"></a>
To avoid creating duplicate resources, specify a unique token for this blueprint.  
Type: String  
Length Constraints: Minimum length of 33. Maximum length of 256.  
Pattern: `[a-zA-Z0-9](-*[a-zA-Z0-9]){0,256}`   
Required: No

 ** [encryptionConfiguration](#API_data-automation_CreateBlueprint_RequestSyntax) **   <a name="bedrock-data-automation_CreateBlueprint-request-encryptionConfiguration"></a>
Encryption settings for the blueprint.  
Type: [EncryptionConfiguration](API_data-automation_EncryptionConfiguration.md) object  
Required: No

 ** [schema](#API_data-automation_CreateBlueprint_RequestSyntax) **   <a name="bedrock-data-automation_CreateBlueprint-request-schema"></a>
The blueprint's schema.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 100000.  
Required: Yes

 ** [tags](#API_data-automation_CreateBlueprint_RequestSyntax) **   <a name="bedrock-data-automation_CreateBlueprint-request-tags"></a>
Tags assigned to a blueprint at time of creation.  
Type: Array of [Tag](API_data-automation_Tag.md) objects  
Array Members: Minimum number of 0 items. Maximum number of 200 items.  
Required: No

 ** [type](#API_data-automation_CreateBlueprint_RequestSyntax) **   <a name="bedrock-data-automation_CreateBlueprint-request-type"></a>
The type of blueprint to create.  
Type: String  
Valid Values: `DOCUMENT | IMAGE | AUDIO`   
Required: Yes

## Response Syntax
<a name="API_data-automation_CreateBlueprint_ResponseSyntax"></a>

```
HTTP/1.1 201
Content-type: application/json

{
   "blueprint": { 
      "blueprintArn": "string",
      "blueprintName": "string",
      "blueprintStage": "string",
      "blueprintVersion": "string",
      "creationTime": "string",
      "kmsEncryptionContext": { 
         "string" : "string" 
      },
      "kmsKeyId": "string",
      "lastModifiedTime": "string",
      "optimizationSamples": [ 
         { 
            "assetS3Object": { 
               "s3Uri": "string",
               "version": "string"
            },
            "groundTruthS3Object": { 
               "s3Uri": "string",
               "version": "string"
            }
         }
      ],
      "optimizationTime": "string",
      "schema": "string",
      "type": "string"
   }
}
```

## Response Elements
<a name="API_data-automation_CreateBlueprint_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 201 response.

The following data is returned in JSON format by the service.

 ** [blueprint](#API_data-automation_CreateBlueprint_ResponseSyntax) **   <a name="bedrock-data-automation_CreateBlueprint-response-blueprint"></a>
Details about the blueprint.  
Type: [Blueprint](API_data-automation_Blueprint.md) object

## Errors
<a name="API_data-automation_CreateBlueprint_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
  
HTTP Status Code: 403

 ** ConflictException **   
  
HTTP Status Code: 409

 ** InternalServerException **   
  
HTTP Status Code: 500

 ** ServiceQuotaExceededException **   
  
HTTP Status Code: 402

 ** ThrottlingException **   
  
HTTP Status Code: 429

 ** ValidationException **   
  
HTTP Status Code: 400

## See Also
<a name="API_data-automation_CreateBlueprint_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/bedrock-data-automation-2023-07-26/CreateBlueprint) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/bedrock-data-automation-2023-07-26/CreateBlueprint) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/bedrock-data-automation-2023-07-26/CreateBlueprint) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/bedrock-data-automation-2023-07-26/CreateBlueprint) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/bedrock-data-automation-2023-07-26/CreateBlueprint) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/bedrock-data-automation-2023-07-26/CreateBlueprint) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/bedrock-data-automation-2023-07-26/CreateBlueprint) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/bedrock-data-automation-2023-07-26/CreateBlueprint) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/bedrock-data-automation-2023-07-26/CreateBlueprint) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/bedrock-data-automation-2023-07-26/CreateBlueprint) 

# CreateBlueprintVersion
<a name="API_data-automation_CreateBlueprintVersion"></a>

Creates an immutable snapshot of a blueprint.

## Request Syntax
<a name="API_data-automation_CreateBlueprintVersion_RequestSyntax"></a>

```
POST /blueprints/blueprintArn/versions/ HTTP/1.1
Content-type: application/json

{
   "clientToken": "string"
}
```

## URI Request Parameters
<a name="API_data-automation_CreateBlueprintVersion_RequestParameters"></a>

The request uses the following URI parameters.

 ** [blueprintArn](#API_data-automation_CreateBlueprintVersion_RequestSyntax) **   <a name="bedrock-data-automation_CreateBlueprintVersion-request-uri-blueprintArn"></a>
The blueprint's ARN.  
Length Constraints: Minimum length of 0. Maximum length of 128.  
Pattern: `arn:aws(|-cn|-us-gov):bedrock:[a-zA-Z0-9-]*:(aws|[0-9]{12}):blueprint/(bedrock-data-automation-public-[a-zA-Z0-9-_]{1,30}|[a-zA-Z0-9-]{12,36})`   
Required: Yes

## Request Body
<a name="API_data-automation_CreateBlueprintVersion_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [clientToken](#API_data-automation_CreateBlueprintVersion_RequestSyntax) **   <a name="bedrock-data-automation_CreateBlueprintVersion-request-clientToken"></a>
To avoid creating duplicate resources, specify a unique token for this blueprint version.  
Type: String  
Length Constraints: Minimum length of 33. Maximum length of 256.  
Pattern: `[a-zA-Z0-9](-*[a-zA-Z0-9]){0,256}`   
Required: No

## Response Syntax
<a name="API_data-automation_CreateBlueprintVersion_ResponseSyntax"></a>

```
HTTP/1.1 201
Content-type: application/json

{
   "blueprint": { 
      "blueprintArn": "string",
      "blueprintName": "string",
      "blueprintStage": "string",
      "blueprintVersion": "string",
      "creationTime": "string",
      "kmsEncryptionContext": { 
         "string" : "string" 
      },
      "kmsKeyId": "string",
      "lastModifiedTime": "string",
      "optimizationSamples": [ 
         { 
            "assetS3Object": { 
               "s3Uri": "string",
               "version": "string"
            },
            "groundTruthS3Object": { 
               "s3Uri": "string",
               "version": "string"
            }
         }
      ],
      "optimizationTime": "string",
      "schema": "string",
      "type": "string"
   }
}
```

## Response Elements
<a name="API_data-automation_CreateBlueprintVersion_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 201 response.

The following data is returned in JSON format by the service.

 ** [blueprint](#API_data-automation_CreateBlueprintVersion_ResponseSyntax) **   <a name="bedrock-data-automation_CreateBlueprintVersion-response-blueprint"></a>
Details about the blueprint.  
Type: [Blueprint](API_data-automation_Blueprint.md) object

## Errors
<a name="API_data-automation_CreateBlueprintVersion_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
  
HTTP Status Code: 403

 ** InternalServerException **   
  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
  
HTTP Status Code: 404

 ** ServiceQuotaExceededException **   
  
HTTP Status Code: 402

 ** ThrottlingException **   
  
HTTP Status Code: 429

 ** ValidationException **   
  
HTTP Status Code: 400

## See Also
<a name="API_data-automation_CreateBlueprintVersion_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/bedrock-data-automation-2023-07-26/CreateBlueprintVersion) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/bedrock-data-automation-2023-07-26/CreateBlueprintVersion) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/bedrock-data-automation-2023-07-26/CreateBlueprintVersion) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/bedrock-data-automation-2023-07-26/CreateBlueprintVersion) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/bedrock-data-automation-2023-07-26/CreateBlueprintVersion) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/bedrock-data-automation-2023-07-26/CreateBlueprintVersion) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/bedrock-data-automation-2023-07-26/CreateBlueprintVersion) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/bedrock-data-automation-2023-07-26/CreateBlueprintVersion) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/bedrock-data-automation-2023-07-26/CreateBlueprintVersion) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/bedrock-data-automation-2023-07-26/CreateBlueprintVersion) 

# CreateDataAutomationLibrary
<a name="API_data-automation_CreateDataAutomationLibrary"></a>

Creates a data automation library.

## Request Syntax
<a name="API_data-automation_CreateDataAutomationLibrary_RequestSyntax"></a>

```
PUT /data-automation-libraries/ HTTP/1.1
Content-type: application/json

{
   "clientToken": "string",
   "encryptionConfiguration": { 
      "kmsEncryptionContext": { 
         "string" : "string" 
      },
      "kmsKeyId": "string"
   },
   "libraryDescription": "string",
   "libraryName": "string",
   "tags": [ 
      { 
         "key": "string",
         "value": "string"
      }
   ]
}
```

## URI Request Parameters
<a name="API_data-automation_CreateDataAutomationLibrary_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_data-automation_CreateDataAutomationLibrary_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [clientToken](#API_data-automation_CreateDataAutomationLibrary_RequestSyntax) **   <a name="bedrock-data-automation_CreateDataAutomationLibrary-request-clientToken"></a>
To avoid creating duplicate resources, specify a unique token for this library.  
Type: String  
Length Constraints: Minimum length of 33. Maximum length of 256.  
Pattern: `[a-zA-Z0-9](-*[a-zA-Z0-9]){0,256}`   
Required: No

 ** [encryptionConfiguration](#API_data-automation_CreateDataAutomationLibrary_RequestSyntax) **   <a name="bedrock-data-automation_CreateDataAutomationLibrary-request-encryptionConfiguration"></a>
Encryption settings for the library.  
Type: [EncryptionConfiguration](API_data-automation_EncryptionConfiguration.md) object  
Required: No

 ** [libraryDescription](#API_data-automation_CreateDataAutomationLibrary_RequestSyntax) **   <a name="bedrock-data-automation_CreateDataAutomationLibrary-request-libraryDescription"></a>
A description for the library.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 300.  
Pattern: `[a-zA-Z0-9\s!"\#\$%'&\(\)\*\+\,\-\./:;=\?@\[\\\]\^_`\{\|\}~><À-ÖØ-Üßà-öø-üẞ¿¡Œ-œ°£¥₹€§©ª®™¹±-µ✓⑆-⑉฿₽₱₦₣₩₫₺]*`   
Required: No

 ** [libraryName](#API_data-automation_CreateDataAutomationLibrary_RequestSyntax) **   <a name="bedrock-data-automation_CreateDataAutomationLibrary-request-libraryName"></a>
A name for the library.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 128.  
Pattern: `[a-zA-Z0-9-_]+`   
Required: Yes

 ** [tags](#API_data-automation_CreateDataAutomationLibrary_RequestSyntax) **   <a name="bedrock-data-automation_CreateDataAutomationLibrary-request-tags"></a>
Tags assigned to the library at time of creation.  
Type: Array of [Tag](API_data-automation_Tag.md) objects  
Array Members: Minimum number of 0 items. Maximum number of 200 items.  
Required: No

## Response Syntax
<a name="API_data-automation_CreateDataAutomationLibrary_ResponseSyntax"></a>

```
HTTP/1.1 201
Content-type: application/json

{
   "libraryArn": "string",
   "status": "string"
}
```

## Response Elements
<a name="API_data-automation_CreateDataAutomationLibrary_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 201 response.

The following data is returned in JSON format by the service.

 ** [libraryArn](#API_data-automation_CreateDataAutomationLibrary_ResponseSyntax) **   <a name="bedrock-data-automation_CreateDataAutomationLibrary-response-libraryArn"></a>
The library's ARN.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 128.  
Pattern: `arn:aws(|-cn|-iso|-iso-[a-z]|-us-gov):bedrock:[a-zA-Z0-9-]*:[0-9]{12}:data-automation-library/[a-zA-Z0-9-]{12,36}` 

 ** [status](#API_data-automation_CreateDataAutomationLibrary_ResponseSyntax) **   <a name="bedrock-data-automation_CreateDataAutomationLibrary-response-status"></a>
The library's status.  
Type: String  
Valid Values: `ACTIVE | DELETING` 

## Errors
<a name="API_data-automation_CreateDataAutomationLibrary_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
  
HTTP Status Code: 403

 ** ConflictException **   
  
HTTP Status Code: 409

 ** InternalServerException **   
  
HTTP Status Code: 500

 ** ServiceQuotaExceededException **   
  
HTTP Status Code: 402

 ** ThrottlingException **   
  
HTTP Status Code: 429

 ** ValidationException **   
  
HTTP Status Code: 400

## See Also
<a name="API_data-automation_CreateDataAutomationLibrary_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/bedrock-data-automation-2023-07-26/CreateDataAutomationLibrary) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/bedrock-data-automation-2023-07-26/CreateDataAutomationLibrary) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/bedrock-data-automation-2023-07-26/CreateDataAutomationLibrary) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/bedrock-data-automation-2023-07-26/CreateDataAutomationLibrary) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/bedrock-data-automation-2023-07-26/CreateDataAutomationLibrary) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/bedrock-data-automation-2023-07-26/CreateDataAutomationLibrary) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/bedrock-data-automation-2023-07-26/CreateDataAutomationLibrary) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/bedrock-data-automation-2023-07-26/CreateDataAutomationLibrary) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/bedrock-data-automation-2023-07-26/CreateDataAutomationLibrary) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/bedrock-data-automation-2023-07-26/CreateDataAutomationLibrary) 

# CreateDataAutomationProject
<a name="API_data-automation_CreateDataAutomationProject"></a>

Creates a data automation project.

## Request Syntax
<a name="API_data-automation_CreateDataAutomationProject_RequestSyntax"></a>

```
PUT /data-automation-projects/ HTTP/1.1
Content-type: application/json

{
   "clientToken": "string",
   "customOutputConfiguration": { 
      "blueprints": [ 
         { 
            "blueprintArn": "string",
            "blueprintStage": "string",
            "blueprintVersion": "string"
         }
      ]
   },
   "dataAutomationLibraryConfiguration": { 
      "libraries": [ 
         { 
            "libraryArn": "string"
         }
      ]
   },
   "encryptionConfiguration": { 
      "kmsEncryptionContext": { 
         "string" : "string" 
      },
      "kmsKeyId": "string"
   },
   "overrideConfiguration": { 
      "audio": { 
         "languageConfiguration": { 
            "generativeOutputLanguage": "string",
            "identifyMultipleLanguages": boolean,
            "inputLanguages": [ "string" ]
         },
         "modalityProcessing": { 
            "state": "string"
         },
         "sensitiveDataConfiguration": { 
            "detectionMode": "string",
            "detectionScope": [ "string" ],
            "piiEntitiesConfiguration": { 
               "piiEntityTypes": [ "string" ],
               "redactionMaskMode": "string"
            }
         }
      },
      "document": { 
         "modalityProcessing": { 
            "state": "string"
         },
         "sensitiveDataConfiguration": { 
            "detectionMode": "string",
            "detectionScope": [ "string" ],
            "piiEntitiesConfiguration": { 
               "piiEntityTypes": [ "string" ],
               "redactionMaskMode": "string"
            }
         },
         "splitter": { 
            "state": "string"
         }
      },
      "image": { 
         "modalityProcessing": { 
            "state": "string"
         },
         "sensitiveDataConfiguration": { 
            "detectionMode": "string",
            "detectionScope": [ "string" ],
            "piiEntitiesConfiguration": { 
               "piiEntityTypes": [ "string" ],
               "redactionMaskMode": "string"
            }
         }
      },
      "modalityRouting": { 
         "jpeg": "string",
         "mov": "string",
         "mp4": "string",
         "png": "string"
      },
      "video": { 
         "modalityProcessing": { 
            "state": "string"
         },
         "sensitiveDataConfiguration": { 
            "detectionMode": "string",
            "detectionScope": [ "string" ],
            "piiEntitiesConfiguration": { 
               "piiEntityTypes": [ "string" ],
               "redactionMaskMode": "string"
            }
         }
      }
   },
   "projectDescription": "string",
   "projectName": "string",
   "projectStage": "string",
   "projectType": "string",
   "standardOutputConfiguration": { 
      "audio": { 
         "extraction": { 
            "category": { 
               "state": "string",
               "typeConfiguration": { 
                  "transcript": { 
                     "channelLabeling": { 
                        "state": "string"
                     },
                     "speakerLabeling": { 
                        "state": "string"
                     }
                  }
               },
               "types": [ "string" ]
            }
         },
         "generativeField": { 
            "state": "string",
            "types": [ "string" ]
         }
      },
      "document": { 
         "extraction": { 
            "boundingBox": { 
               "state": "string"
            },
            "granularity": { 
               "types": [ "string" ]
            }
         },
         "generativeField": { 
            "state": "string"
         },
         "outputFormat": { 
            "additionalFileFormat": { 
               "state": "string"
            },
            "textFormat": { 
               "types": [ "string" ]
            }
         }
      },
      "image": { 
         "extraction": { 
            "boundingBox": { 
               "state": "string"
            },
            "category": { 
               "state": "string",
               "types": [ "string" ]
            }
         },
         "generativeField": { 
            "state": "string",
            "types": [ "string" ]
         }
      },
      "video": { 
         "extraction": { 
            "boundingBox": { 
               "state": "string"
            },
            "category": { 
               "state": "string",
               "types": [ "string" ]
            }
         },
         "generativeField": { 
            "state": "string",
            "types": [ "string" ]
         }
      }
   },
   "tags": [ 
      { 
         "key": "string",
         "value": "string"
      }
   ]
}
```

## URI Request Parameters
<a name="API_data-automation_CreateDataAutomationProject_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_data-automation_CreateDataAutomationProject_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [clientToken](#API_data-automation_CreateDataAutomationProject_RequestSyntax) **   <a name="bedrock-data-automation_CreateDataAutomationProject-request-clientToken"></a>
To avoid creating duplicate resources, specify a unique token for this project.  
Type: String  
Length Constraints: Minimum length of 33. Maximum length of 256.  
Pattern: `[a-zA-Z0-9](-*[a-zA-Z0-9]){0,256}`   
Required: No

 ** [customOutputConfiguration](#API_data-automation_CreateDataAutomationProject_RequestSyntax) **   <a name="bedrock-data-automation_CreateDataAutomationProject-request-customOutputConfiguration"></a>
Blueprints to enabled for the project.  
Type: [CustomOutputConfiguration](API_data-automation_CustomOutputConfiguration.md) object  
Required: No

 ** [dataAutomationLibraryConfiguration](#API_data-automation_CreateDataAutomationProject_RequestSyntax) **   <a name="bedrock-data-automation_CreateDataAutomationProject-request-dataAutomationLibraryConfiguration"></a>
Library configuration for the project.  
Type: [DataAutomationLibraryConfiguration](API_data-automation_DataAutomationLibraryConfiguration.md) object  
Required: No

 ** [encryptionConfiguration](#API_data-automation_CreateDataAutomationProject_RequestSyntax) **   <a name="bedrock-data-automation_CreateDataAutomationProject-request-encryptionConfiguration"></a>
Encryption settings for the project.  
Type: [EncryptionConfiguration](API_data-automation_EncryptionConfiguration.md) object  
Required: No

 ** [overrideConfiguration](#API_data-automation_CreateDataAutomationProject_RequestSyntax) **   <a name="bedrock-data-automation_CreateDataAutomationProject-request-overrideConfiguration"></a>
Additional settings to apply to the project.  
Type: [OverrideConfiguration](API_data-automation_OverrideConfiguration.md) object  
Required: No

 ** [projectDescription](#API_data-automation_CreateDataAutomationProject_RequestSyntax) **   <a name="bedrock-data-automation_CreateDataAutomationProject-request-projectDescription"></a>
A description for the project.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 300.  
Required: No

 ** [projectName](#API_data-automation_CreateDataAutomationProject_RequestSyntax) **   <a name="bedrock-data-automation_CreateDataAutomationProject-request-projectName"></a>
A name for the project.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 128.  
Pattern: `[a-zA-Z0-9-_]+`   
Required: Yes

 ** [projectStage](#API_data-automation_CreateDataAutomationProject_RequestSyntax) **   <a name="bedrock-data-automation_CreateDataAutomationProject-request-projectStage"></a>
To indicate that the project is not final, set to `DEVELOPMENT`. Otherwise, the project is created in the `LIVE` stage.  
Type: String  
Valid Values: `DEVELOPMENT | LIVE`   
Required: No

 ** [projectType](#API_data-automation_CreateDataAutomationProject_RequestSyntax) **   <a name="bedrock-data-automation_CreateDataAutomationProject-request-projectType"></a>
The type of bedrock data automation API that is compatible with this project.  
Type: String  
Valid Values: `ASYNC | SYNC`   
Required: No

 ** [standardOutputConfiguration](#API_data-automation_CreateDataAutomationProject_RequestSyntax) **   <a name="bedrock-data-automation_CreateDataAutomationProject-request-standardOutputConfiguration"></a>
The standard output configuration for the project. If you omit settings for any types, default settings are applied. You can specify an empty configuration to create a project with default settings and view the settings with [GetDataAutomationProject](API_data-automation_GetDataAutomationProject.md).  
Type: [StandardOutputConfiguration](API_data-automation_StandardOutputConfiguration.md) object  
Required: Yes

 ** [tags](#API_data-automation_CreateDataAutomationProject_RequestSyntax) **   <a name="bedrock-data-automation_CreateDataAutomationProject-request-tags"></a>
Tags assigned to the project at time of creation.  
Type: Array of [Tag](API_data-automation_Tag.md) objects  
Array Members: Minimum number of 0 items. Maximum number of 200 items.  
Required: No

## Response Syntax
<a name="API_data-automation_CreateDataAutomationProject_ResponseSyntax"></a>

```
HTTP/1.1 201
Content-type: application/json

{
   "projectArn": "string",
   "projectStage": "string",
   "status": "string"
}
```

## Response Elements
<a name="API_data-automation_CreateDataAutomationProject_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 201 response.

The following data is returned in JSON format by the service.

 ** [projectArn](#API_data-automation_CreateDataAutomationProject_ResponseSyntax) **   <a name="bedrock-data-automation_CreateDataAutomationProject-response-projectArn"></a>
The project's ARN.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 128.  
Pattern: `arn:aws(|-cn|-us-gov):bedrock:[a-zA-Z0-9-]*:(aws|[0-9]{12}):data-automation-project/[a-zA-Z0-9-]{12,36}` 

 ** [projectStage](#API_data-automation_CreateDataAutomationProject_ResponseSyntax) **   <a name="bedrock-data-automation_CreateDataAutomationProject-response-projectStage"></a>
The project's stage.  
Type: String  
Valid Values: `DEVELOPMENT | LIVE` 

 ** [status](#API_data-automation_CreateDataAutomationProject_ResponseSyntax) **   <a name="bedrock-data-automation_CreateDataAutomationProject-response-status"></a>
The project's status.  
Type: String  
Valid Values: `COMPLETED | IN_PROGRESS | FAILED` 

## Errors
<a name="API_data-automation_CreateDataAutomationProject_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
  
HTTP Status Code: 403

 ** ConflictException **   
  
HTTP Status Code: 409

 ** InternalServerException **   
  
HTTP Status Code: 500

 ** ServiceQuotaExceededException **   
  
HTTP Status Code: 402

 ** ThrottlingException **   
  
HTTP Status Code: 429

 ** ValidationException **   
  
HTTP Status Code: 400

## See Also
<a name="API_data-automation_CreateDataAutomationProject_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/bedrock-data-automation-2023-07-26/CreateDataAutomationProject) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/bedrock-data-automation-2023-07-26/CreateDataAutomationProject) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/bedrock-data-automation-2023-07-26/CreateDataAutomationProject) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/bedrock-data-automation-2023-07-26/CreateDataAutomationProject) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/bedrock-data-automation-2023-07-26/CreateDataAutomationProject) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/bedrock-data-automation-2023-07-26/CreateDataAutomationProject) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/bedrock-data-automation-2023-07-26/CreateDataAutomationProject) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/bedrock-data-automation-2023-07-26/CreateDataAutomationProject) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/bedrock-data-automation-2023-07-26/CreateDataAutomationProject) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/bedrock-data-automation-2023-07-26/CreateDataAutomationProject) 

# DeleteBlueprint
<a name="API_data-automation_DeleteBlueprint"></a>

Deletes a blueprint or blueprint version.

## Request Syntax
<a name="API_data-automation_DeleteBlueprint_RequestSyntax"></a>

```
DELETE /blueprints/blueprintArn/?blueprintVersion=blueprintVersion HTTP/1.1
```

## URI Request Parameters
<a name="API_data-automation_DeleteBlueprint_RequestParameters"></a>

The request uses the following URI parameters.

 ** [blueprintArn](#API_data-automation_DeleteBlueprint_RequestSyntax) **   <a name="bedrock-data-automation_DeleteBlueprint-request-uri-blueprintArn"></a>
The blueprint's ARN.  
Length Constraints: Minimum length of 0. Maximum length of 128.  
Pattern: `arn:aws(|-cn|-us-gov):bedrock:[a-zA-Z0-9-]*:(aws|[0-9]{12}):blueprint/(bedrock-data-automation-public-[a-zA-Z0-9-_]{1,30}|[a-zA-Z0-9-]{12,36})`   
Required: Yes

 ** [blueprintVersion](#API_data-automation_DeleteBlueprint_RequestSyntax) **   <a name="bedrock-data-automation_DeleteBlueprint-request-uri-blueprintVersion"></a>
To delete a blueprint version, specify the version.  
Length Constraints: Minimum length of 1. Maximum length of 128.  
Pattern: `[0-9]*` 

## Request Body
<a name="API_data-automation_DeleteBlueprint_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_data-automation_DeleteBlueprint_ResponseSyntax"></a>

```
HTTP/1.1 200
```

## Response Elements
<a name="API_data-automation_DeleteBlueprint_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response with an empty HTTP body.

## Errors
<a name="API_data-automation_DeleteBlueprint_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
  
HTTP Status Code: 403

 ** InternalServerException **   
  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
  
HTTP Status Code: 404

 ** ThrottlingException **   
  
HTTP Status Code: 429

 ** ValidationException **   
  
HTTP Status Code: 400

## See Also
<a name="API_data-automation_DeleteBlueprint_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/bedrock-data-automation-2023-07-26/DeleteBlueprint) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/bedrock-data-automation-2023-07-26/DeleteBlueprint) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/bedrock-data-automation-2023-07-26/DeleteBlueprint) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/bedrock-data-automation-2023-07-26/DeleteBlueprint) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/bedrock-data-automation-2023-07-26/DeleteBlueprint) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/bedrock-data-automation-2023-07-26/DeleteBlueprint) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/bedrock-data-automation-2023-07-26/DeleteBlueprint) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/bedrock-data-automation-2023-07-26/DeleteBlueprint) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/bedrock-data-automation-2023-07-26/DeleteBlueprint) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/bedrock-data-automation-2023-07-26/DeleteBlueprint) 

# DeleteDataAutomationLibrary
<a name="API_data-automation_DeleteDataAutomationLibrary"></a>

Deletes a data automation library.

## Request Syntax
<a name="API_data-automation_DeleteDataAutomationLibrary_RequestSyntax"></a>

```
DELETE /data-automation-libraries/libraryArn/ HTTP/1.1
```

## URI Request Parameters
<a name="API_data-automation_DeleteDataAutomationLibrary_RequestParameters"></a>

The request uses the following URI parameters.

 ** [libraryArn](#API_data-automation_DeleteDataAutomationLibrary_RequestSyntax) **   <a name="bedrock-data-automation_DeleteDataAutomationLibrary-request-uri-libraryArn"></a>
The library's ARN.  
Length Constraints: Minimum length of 0. Maximum length of 128.  
Pattern: `arn:aws(|-cn|-iso|-iso-[a-z]|-us-gov):bedrock:[a-zA-Z0-9-]*:[0-9]{12}:data-automation-library/[a-zA-Z0-9-]{12,36}`   
Required: Yes

## Request Body
<a name="API_data-automation_DeleteDataAutomationLibrary_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_data-automation_DeleteDataAutomationLibrary_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "libraryArn": "string",
   "status": "string"
}
```

## Response Elements
<a name="API_data-automation_DeleteDataAutomationLibrary_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [libraryArn](#API_data-automation_DeleteDataAutomationLibrary_ResponseSyntax) **   <a name="bedrock-data-automation_DeleteDataAutomationLibrary-response-libraryArn"></a>
The library's ARN.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 128.  
Pattern: `arn:aws(|-cn|-iso|-iso-[a-z]|-us-gov):bedrock:[a-zA-Z0-9-]*:[0-9]{12}:data-automation-library/[a-zA-Z0-9-]{12,36}` 

 ** [status](#API_data-automation_DeleteDataAutomationLibrary_ResponseSyntax) **   <a name="bedrock-data-automation_DeleteDataAutomationLibrary-response-status"></a>
The library's status.  
Type: String  
Valid Values: `ACTIVE | DELETING` 

## Errors
<a name="API_data-automation_DeleteDataAutomationLibrary_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
  
HTTP Status Code: 403

 ** ConflictException **   
  
HTTP Status Code: 409

 ** InternalServerException **   
  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
  
HTTP Status Code: 404

 ** ThrottlingException **   
  
HTTP Status Code: 429

 ** ValidationException **   
  
HTTP Status Code: 400

## See Also
<a name="API_data-automation_DeleteDataAutomationLibrary_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/bedrock-data-automation-2023-07-26/DeleteDataAutomationLibrary) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/bedrock-data-automation-2023-07-26/DeleteDataAutomationLibrary) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/bedrock-data-automation-2023-07-26/DeleteDataAutomationLibrary) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/bedrock-data-automation-2023-07-26/DeleteDataAutomationLibrary) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/bedrock-data-automation-2023-07-26/DeleteDataAutomationLibrary) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/bedrock-data-automation-2023-07-26/DeleteDataAutomationLibrary) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/bedrock-data-automation-2023-07-26/DeleteDataAutomationLibrary) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/bedrock-data-automation-2023-07-26/DeleteDataAutomationLibrary) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/bedrock-data-automation-2023-07-26/DeleteDataAutomationLibrary) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/bedrock-data-automation-2023-07-26/DeleteDataAutomationLibrary) 

# DeleteDataAutomationProject
<a name="API_data-automation_DeleteDataAutomationProject"></a>

Deletes a data automation project.

## Request Syntax
<a name="API_data-automation_DeleteDataAutomationProject_RequestSyntax"></a>

```
DELETE /data-automation-projects/projectArn/ HTTP/1.1
```

## URI Request Parameters
<a name="API_data-automation_DeleteDataAutomationProject_RequestParameters"></a>

The request uses the following URI parameters.

 ** [projectArn](#API_data-automation_DeleteDataAutomationProject_RequestSyntax) **   <a name="bedrock-data-automation_DeleteDataAutomationProject-request-uri-projectArn"></a>
The project's ARN.  
Length Constraints: Minimum length of 0. Maximum length of 128.  
Pattern: `arn:aws(|-cn|-us-gov):bedrock:[a-zA-Z0-9-]*:(aws|[0-9]{12}):data-automation-project/[a-zA-Z0-9-]{12,36}`   
Required: Yes

## Request Body
<a name="API_data-automation_DeleteDataAutomationProject_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_data-automation_DeleteDataAutomationProject_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "projectArn": "string",
   "status": "string"
}
```

## Response Elements
<a name="API_data-automation_DeleteDataAutomationProject_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [projectArn](#API_data-automation_DeleteDataAutomationProject_ResponseSyntax) **   <a name="bedrock-data-automation_DeleteDataAutomationProject-response-projectArn"></a>
The project's ARN.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 128.  
Pattern: `arn:aws(|-cn|-us-gov):bedrock:[a-zA-Z0-9-]*:(aws|[0-9]{12}):data-automation-project/[a-zA-Z0-9-]{12,36}` 

 ** [status](#API_data-automation_DeleteDataAutomationProject_ResponseSyntax) **   <a name="bedrock-data-automation_DeleteDataAutomationProject-response-status"></a>
The project's status.  
Type: String  
Valid Values: `COMPLETED | IN_PROGRESS | FAILED` 

## Errors
<a name="API_data-automation_DeleteDataAutomationProject_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
  
HTTP Status Code: 403

 ** InternalServerException **   
  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
  
HTTP Status Code: 404

 ** ThrottlingException **   
  
HTTP Status Code: 429

 ** ValidationException **   
  
HTTP Status Code: 400

## See Also
<a name="API_data-automation_DeleteDataAutomationProject_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/bedrock-data-automation-2023-07-26/DeleteDataAutomationProject) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/bedrock-data-automation-2023-07-26/DeleteDataAutomationProject) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/bedrock-data-automation-2023-07-26/DeleteDataAutomationProject) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/bedrock-data-automation-2023-07-26/DeleteDataAutomationProject) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/bedrock-data-automation-2023-07-26/DeleteDataAutomationProject) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/bedrock-data-automation-2023-07-26/DeleteDataAutomationProject) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/bedrock-data-automation-2023-07-26/DeleteDataAutomationProject) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/bedrock-data-automation-2023-07-26/DeleteDataAutomationProject) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/bedrock-data-automation-2023-07-26/DeleteDataAutomationProject) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/bedrock-data-automation-2023-07-26/DeleteDataAutomationProject) 

# GetBlueprint
<a name="API_data-automation_GetBlueprint"></a>

Gets details about a blueprint or blueprint version.

## Request Syntax
<a name="API_data-automation_GetBlueprint_RequestSyntax"></a>

```
POST /blueprints/blueprintArn/ HTTP/1.1
Content-type: application/json

{
   "blueprintStage": "string",
   "blueprintVersion": "string"
}
```

## URI Request Parameters
<a name="API_data-automation_GetBlueprint_RequestParameters"></a>

The request uses the following URI parameters.

 ** [blueprintArn](#API_data-automation_GetBlueprint_RequestSyntax) **   <a name="bedrock-data-automation_GetBlueprint-request-uri-blueprintArn"></a>
The blueprint's ARN.  
Length Constraints: Minimum length of 0. Maximum length of 128.  
Pattern: `arn:aws(|-cn|-us-gov):bedrock:[a-zA-Z0-9-]*:(aws|[0-9]{12}):blueprint/(bedrock-data-automation-public-[a-zA-Z0-9-_]{1,30}|[a-zA-Z0-9-]{12,36})`   
Required: Yes

## Request Body
<a name="API_data-automation_GetBlueprint_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [blueprintStage](#API_data-automation_GetBlueprint_RequestSyntax) **   <a name="bedrock-data-automation_GetBlueprint-request-blueprintStage"></a>
To view the development stage, set to `DEVELOPMENT`.  
Type: String  
Valid Values: `DEVELOPMENT | LIVE`   
Required: No

 ** [blueprintVersion](#API_data-automation_GetBlueprint_RequestSyntax) **   <a name="bedrock-data-automation_GetBlueprint-request-blueprintVersion"></a>
To view a blueprint version, specify the version.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 128.  
Pattern: `[0-9]*`   
Required: No

## Response Syntax
<a name="API_data-automation_GetBlueprint_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "blueprint": { 
      "blueprintArn": "string",
      "blueprintName": "string",
      "blueprintStage": "string",
      "blueprintVersion": "string",
      "creationTime": "string",
      "kmsEncryptionContext": { 
         "string" : "string" 
      },
      "kmsKeyId": "string",
      "lastModifiedTime": "string",
      "optimizationSamples": [ 
         { 
            "assetS3Object": { 
               "s3Uri": "string",
               "version": "string"
            },
            "groundTruthS3Object": { 
               "s3Uri": "string",
               "version": "string"
            }
         }
      ],
      "optimizationTime": "string",
      "schema": "string",
      "type": "string"
   }
}
```

## Response Elements
<a name="API_data-automation_GetBlueprint_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [blueprint](#API_data-automation_GetBlueprint_ResponseSyntax) **   <a name="bedrock-data-automation_GetBlueprint-response-blueprint"></a>
Details about the blueprint.  
Type: [Blueprint](API_data-automation_Blueprint.md) object

## Errors
<a name="API_data-automation_GetBlueprint_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
  
HTTP Status Code: 403

 ** InternalServerException **   
  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
  
HTTP Status Code: 404

 ** ThrottlingException **   
  
HTTP Status Code: 429

 ** ValidationException **   
  
HTTP Status Code: 400

## See Also
<a name="API_data-automation_GetBlueprint_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/bedrock-data-automation-2023-07-26/GetBlueprint) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/bedrock-data-automation-2023-07-26/GetBlueprint) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/bedrock-data-automation-2023-07-26/GetBlueprint) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/bedrock-data-automation-2023-07-26/GetBlueprint) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/bedrock-data-automation-2023-07-26/GetBlueprint) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/bedrock-data-automation-2023-07-26/GetBlueprint) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/bedrock-data-automation-2023-07-26/GetBlueprint) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/bedrock-data-automation-2023-07-26/GetBlueprint) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/bedrock-data-automation-2023-07-26/GetBlueprint) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/bedrock-data-automation-2023-07-26/GetBlueprint) 

# GetBlueprintOptimizationStatus
<a name="API_data-automation_GetBlueprintOptimizationStatus"></a>

Gets the status of a blueprint optimization job.

## Request Syntax
<a name="API_data-automation_GetBlueprintOptimizationStatus_RequestSyntax"></a>

```
POST /getBlueprintOptimizationStatus/invocationArn HTTP/1.1
```

## URI Request Parameters
<a name="API_data-automation_GetBlueprintOptimizationStatus_RequestParameters"></a>

The request uses the following URI parameters.

 ** [invocationArn](#API_data-automation_GetBlueprintOptimizationStatus_RequestSyntax) **   <a name="bedrock-data-automation_GetBlueprintOptimizationStatus-request-uri-invocationArn"></a>
The ARN of the optimization job invocation.  
Length Constraints: Minimum length of 1. Maximum length of 128.  
Pattern: `arn:aws(|-cn|-iso|-iso-[a-z]|-us-gov):bedrock:[a-zA-Z0-9-]*:[0-9]{12}:blueprint-optimization-invocation/[a-zA-Z0-9-_]+`   
Required: Yes

## Request Body
<a name="API_data-automation_GetBlueprintOptimizationStatus_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_data-automation_GetBlueprintOptimizationStatus_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "errorMessage": "string",
   "errorType": "string",
   "outputConfiguration": { 
      "s3Object": { 
         "s3Uri": "string",
         "version": "string"
      }
   },
   "status": "string"
}
```

## Response Elements
<a name="API_data-automation_GetBlueprintOptimizationStatus_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [errorMessage](#API_data-automation_GetBlueprintOptimizationStatus_ResponseSyntax) **   <a name="bedrock-data-automation_GetBlueprintOptimizationStatus-response-errorMessage"></a>
The error message if the job failed.  
Type: String

 ** [errorType](#API_data-automation_GetBlueprintOptimizationStatus_ResponseSyntax) **   <a name="bedrock-data-automation_GetBlueprintOptimizationStatus-response-errorType"></a>
The type of error if the job failed.  
Type: String

 ** [outputConfiguration](#API_data-automation_GetBlueprintOptimizationStatus_ResponseSyntax) **   <a name="bedrock-data-automation_GetBlueprintOptimizationStatus-response-outputConfiguration"></a>
The location of the optimization results.  
Type: [BlueprintOptimizationOutputConfiguration](API_data-automation_BlueprintOptimizationOutputConfiguration.md) object

 ** [status](#API_data-automation_GetBlueprintOptimizationStatus_ResponseSyntax) **   <a name="bedrock-data-automation_GetBlueprintOptimizationStatus-response-status"></a>
The job's status.  
Type: String  
Valid Values: `Created | InProgress | Success | ServiceError | ClientError` 

## Errors
<a name="API_data-automation_GetBlueprintOptimizationStatus_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
  
HTTP Status Code: 403

 ** InternalServerException **   
  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
  
HTTP Status Code: 404

 ** ThrottlingException **   
  
HTTP Status Code: 429

 ** ValidationException **   
  
HTTP Status Code: 400

## See Also
<a name="API_data-automation_GetBlueprintOptimizationStatus_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/bedrock-data-automation-2023-07-26/GetBlueprintOptimizationStatus) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/bedrock-data-automation-2023-07-26/GetBlueprintOptimizationStatus) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/bedrock-data-automation-2023-07-26/GetBlueprintOptimizationStatus) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/bedrock-data-automation-2023-07-26/GetBlueprintOptimizationStatus) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/bedrock-data-automation-2023-07-26/GetBlueprintOptimizationStatus) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/bedrock-data-automation-2023-07-26/GetBlueprintOptimizationStatus) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/bedrock-data-automation-2023-07-26/GetBlueprintOptimizationStatus) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/bedrock-data-automation-2023-07-26/GetBlueprintOptimizationStatus) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/bedrock-data-automation-2023-07-26/GetBlueprintOptimizationStatus) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/bedrock-data-automation-2023-07-26/GetBlueprintOptimizationStatus) 

# GetDataAutomationLibrary
<a name="API_data-automation_GetDataAutomationLibrary"></a>

Gets details about a data automation library.

## Request Syntax
<a name="API_data-automation_GetDataAutomationLibrary_RequestSyntax"></a>

```
POST /data-automation-libraries/libraryArn/ HTTP/1.1
```

## URI Request Parameters
<a name="API_data-automation_GetDataAutomationLibrary_RequestParameters"></a>

The request uses the following URI parameters.

 ** [libraryArn](#API_data-automation_GetDataAutomationLibrary_RequestSyntax) **   <a name="bedrock-data-automation_GetDataAutomationLibrary-request-uri-libraryArn"></a>
The library's ARN.  
Length Constraints: Minimum length of 0. Maximum length of 128.  
Pattern: `arn:aws(|-cn|-iso|-iso-[a-z]|-us-gov):bedrock:[a-zA-Z0-9-]*:[0-9]{12}:data-automation-library/[a-zA-Z0-9-]{12,36}`   
Required: Yes

## Request Body
<a name="API_data-automation_GetDataAutomationLibrary_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_data-automation_GetDataAutomationLibrary_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "library": { 
      "creationTime": "string",
      "entityTypes": [ 
         { 
            "entityMetadata": "string",
            "entityType": "string"
         }
      ],
      "kmsEncryptionContext": { 
         "string" : "string" 
      },
      "kmsKeyId": "string",
      "libraryArn": "string",
      "libraryDescription": "string",
      "libraryName": "string",
      "status": "string"
   }
}
```

## Response Elements
<a name="API_data-automation_GetDataAutomationLibrary_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [library](#API_data-automation_GetDataAutomationLibrary_ResponseSyntax) **   <a name="bedrock-data-automation_GetDataAutomationLibrary-response-library"></a>
Details about the library.  
Type: [DataAutomationLibrary](API_data-automation_DataAutomationLibrary.md) object

## Errors
<a name="API_data-automation_GetDataAutomationLibrary_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
  
HTTP Status Code: 403

 ** InternalServerException **   
  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
  
HTTP Status Code: 404

 ** ThrottlingException **   
  
HTTP Status Code: 429

 ** ValidationException **   
  
HTTP Status Code: 400

## See Also
<a name="API_data-automation_GetDataAutomationLibrary_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/bedrock-data-automation-2023-07-26/GetDataAutomationLibrary) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/bedrock-data-automation-2023-07-26/GetDataAutomationLibrary) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/bedrock-data-automation-2023-07-26/GetDataAutomationLibrary) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/bedrock-data-automation-2023-07-26/GetDataAutomationLibrary) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/bedrock-data-automation-2023-07-26/GetDataAutomationLibrary) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/bedrock-data-automation-2023-07-26/GetDataAutomationLibrary) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/bedrock-data-automation-2023-07-26/GetDataAutomationLibrary) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/bedrock-data-automation-2023-07-26/GetDataAutomationLibrary) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/bedrock-data-automation-2023-07-26/GetDataAutomationLibrary) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/bedrock-data-automation-2023-07-26/GetDataAutomationLibrary) 

# GetDataAutomationLibraryEntity
<a name="API_data-automation_GetDataAutomationLibraryEntity"></a>

Gets details about a data automation library entity.

## Request Syntax
<a name="API_data-automation_GetDataAutomationLibraryEntity_RequestSyntax"></a>

```
POST /data-automation-libraries/libraryArn/entityType/entityType/entities/entityId HTTP/1.1
```

## URI Request Parameters
<a name="API_data-automation_GetDataAutomationLibraryEntity_RequestParameters"></a>

The request uses the following URI parameters.

 ** [entityId](#API_data-automation_GetDataAutomationLibraryEntity_RequestSyntax) **   <a name="bedrock-data-automation_GetDataAutomationLibraryEntity-request-uri-entityId"></a>
The entity ID.  
Length Constraints: Minimum length of 1. Maximum length of 128.  
Pattern: `[a-zA-Z0-9-_]+`   
Required: Yes

 ** [entityType](#API_data-automation_GetDataAutomationLibraryEntity_RequestSyntax) **   <a name="bedrock-data-automation_GetDataAutomationLibraryEntity-request-uri-entityType"></a>
The entity type.  
Valid Values: `VOCABULARY`   
Required: Yes

 ** [libraryArn](#API_data-automation_GetDataAutomationLibraryEntity_RequestSyntax) **   <a name="bedrock-data-automation_GetDataAutomationLibraryEntity-request-uri-libraryArn"></a>
The library's ARN.  
Length Constraints: Minimum length of 0. Maximum length of 128.  
Pattern: `arn:aws(|-cn|-iso|-iso-[a-z]|-us-gov):bedrock:[a-zA-Z0-9-]*:[0-9]{12}:data-automation-library/[a-zA-Z0-9-]{12,36}`   
Required: Yes

## Request Body
<a name="API_data-automation_GetDataAutomationLibraryEntity_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_data-automation_GetDataAutomationLibraryEntity_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "entity": { ... }
}
```

## Response Elements
<a name="API_data-automation_GetDataAutomationLibraryEntity_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [entity](#API_data-automation_GetDataAutomationLibraryEntity_ResponseSyntax) **   <a name="bedrock-data-automation_GetDataAutomationLibraryEntity-response-entity"></a>
Details about the entity.  
Type: [EntityDetails](API_data-automation_EntityDetails.md) object  
 **Note: **This object is a Union. Only one member of this object can be specified or returned.

## Errors
<a name="API_data-automation_GetDataAutomationLibraryEntity_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
  
HTTP Status Code: 403

 ** InternalServerException **   
  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
  
HTTP Status Code: 404

 ** ThrottlingException **   
  
HTTP Status Code: 429

 ** ValidationException **   
  
HTTP Status Code: 400

## See Also
<a name="API_data-automation_GetDataAutomationLibraryEntity_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/bedrock-data-automation-2023-07-26/GetDataAutomationLibraryEntity) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/bedrock-data-automation-2023-07-26/GetDataAutomationLibraryEntity) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/bedrock-data-automation-2023-07-26/GetDataAutomationLibraryEntity) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/bedrock-data-automation-2023-07-26/GetDataAutomationLibraryEntity) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/bedrock-data-automation-2023-07-26/GetDataAutomationLibraryEntity) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/bedrock-data-automation-2023-07-26/GetDataAutomationLibraryEntity) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/bedrock-data-automation-2023-07-26/GetDataAutomationLibraryEntity) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/bedrock-data-automation-2023-07-26/GetDataAutomationLibraryEntity) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/bedrock-data-automation-2023-07-26/GetDataAutomationLibraryEntity) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/bedrock-data-automation-2023-07-26/GetDataAutomationLibraryEntity) 

# GetDataAutomationLibraryIngestionJob
<a name="API_data-automation_GetDataAutomationLibraryIngestionJob"></a>

Gets details about a data automation library ingestion job.

## Request Syntax
<a name="API_data-automation_GetDataAutomationLibraryIngestionJob_RequestSyntax"></a>

```
POST /data-automation-libraries/libraryArn/library-ingestion-jobs/jobArn HTTP/1.1
```

## URI Request Parameters
<a name="API_data-automation_GetDataAutomationLibraryIngestionJob_RequestParameters"></a>

The request uses the following URI parameters.

 ** [jobArn](#API_data-automation_GetDataAutomationLibraryIngestionJob_RequestSyntax) **   <a name="bedrock-data-automation_GetDataAutomationLibraryIngestionJob-request-uri-jobArn"></a>
The job's ARN.  
Length Constraints: Minimum length of 0. Maximum length of 128.  
Pattern: `arn:aws(|-cn|-iso|-iso-[a-z]|-us-gov):bedrock:[a-zA-Z0-9-]*:[0-9]{12}:data-automation-library-ingestion-job/[a-zA-Z0-9-]{12,36}`   
Required: Yes

 ** [libraryArn](#API_data-automation_GetDataAutomationLibraryIngestionJob_RequestSyntax) **   <a name="bedrock-data-automation_GetDataAutomationLibraryIngestionJob-request-uri-libraryArn"></a>
The library's ARN.  
Length Constraints: Minimum length of 0. Maximum length of 128.  
Pattern: `arn:aws(|-cn|-iso|-iso-[a-z]|-us-gov):bedrock:[a-zA-Z0-9-]*:[0-9]{12}:data-automation-library/[a-zA-Z0-9-]{12,36}`   
Required: Yes

## Request Body
<a name="API_data-automation_GetDataAutomationLibraryIngestionJob_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_data-automation_GetDataAutomationLibraryIngestionJob_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "job": { 
      "completionTime": "string",
      "creationTime": "string",
      "entityType": "string",
      "errorMessage": "string",
      "errorType": "string",
      "jobArn": "string",
      "jobStatus": "string",
      "operationType": "string",
      "outputConfiguration": { 
         "s3Uri": "string"
      }
   }
}
```

## Response Elements
<a name="API_data-automation_GetDataAutomationLibraryIngestionJob_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [job](#API_data-automation_GetDataAutomationLibraryIngestionJob_ResponseSyntax) **   <a name="bedrock-data-automation_GetDataAutomationLibraryIngestionJob-response-job"></a>
Details about the job.  
Type: [DataAutomationLibraryIngestionJob](API_data-automation_DataAutomationLibraryIngestionJob.md) object

## Errors
<a name="API_data-automation_GetDataAutomationLibraryIngestionJob_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
  
HTTP Status Code: 403

 ** InternalServerException **   
  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
  
HTTP Status Code: 404

 ** ThrottlingException **   
  
HTTP Status Code: 429

 ** ValidationException **   
  
HTTP Status Code: 400

## See Also
<a name="API_data-automation_GetDataAutomationLibraryIngestionJob_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/bedrock-data-automation-2023-07-26/GetDataAutomationLibraryIngestionJob) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/bedrock-data-automation-2023-07-26/GetDataAutomationLibraryIngestionJob) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/bedrock-data-automation-2023-07-26/GetDataAutomationLibraryIngestionJob) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/bedrock-data-automation-2023-07-26/GetDataAutomationLibraryIngestionJob) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/bedrock-data-automation-2023-07-26/GetDataAutomationLibraryIngestionJob) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/bedrock-data-automation-2023-07-26/GetDataAutomationLibraryIngestionJob) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/bedrock-data-automation-2023-07-26/GetDataAutomationLibraryIngestionJob) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/bedrock-data-automation-2023-07-26/GetDataAutomationLibraryIngestionJob) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/bedrock-data-automation-2023-07-26/GetDataAutomationLibraryIngestionJob) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/bedrock-data-automation-2023-07-26/GetDataAutomationLibraryIngestionJob) 

# GetDataAutomationProject
<a name="API_data-automation_GetDataAutomationProject"></a>

Gets details about a data automation project.

## Request Syntax
<a name="API_data-automation_GetDataAutomationProject_RequestSyntax"></a>

```
POST /data-automation-projects/projectArn/ HTTP/1.1
Content-type: application/json

{
   "projectStage": "string"
}
```

## URI Request Parameters
<a name="API_data-automation_GetDataAutomationProject_RequestParameters"></a>

The request uses the following URI parameters.

 ** [projectArn](#API_data-automation_GetDataAutomationProject_RequestSyntax) **   <a name="bedrock-data-automation_GetDataAutomationProject-request-uri-projectArn"></a>
The project's ARN.  
Length Constraints: Minimum length of 0. Maximum length of 128.  
Pattern: `arn:aws(|-cn|-us-gov):bedrock:[a-zA-Z0-9-]*:(aws|[0-9]{12}):data-automation-project/[a-zA-Z0-9-]{12,36}`   
Required: Yes

## Request Body
<a name="API_data-automation_GetDataAutomationProject_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [projectStage](#API_data-automation_GetDataAutomationProject_RequestSyntax) **   <a name="bedrock-data-automation_GetDataAutomationProject-request-projectStage"></a>
To view the development stage, set to `DEVELOPMENT`.  
Type: String  
Valid Values: `DEVELOPMENT | LIVE`   
Required: No

## Response Syntax
<a name="API_data-automation_GetDataAutomationProject_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "project": { 
      "creationTime": "string",
      "customOutputConfiguration": { 
         "blueprints": [ 
            { 
               "blueprintArn": "string",
               "blueprintStage": "string",
               "blueprintVersion": "string"
            }
         ]
      },
      "dataAutomationLibraryConfiguration": { 
         "libraries": [ 
            { 
               "libraryArn": "string"
            }
         ]
      },
      "kmsEncryptionContext": { 
         "string" : "string" 
      },
      "kmsKeyId": "string",
      "lastModifiedTime": "string",
      "overrideConfiguration": { 
         "audio": { 
            "languageConfiguration": { 
               "generativeOutputLanguage": "string",
               "identifyMultipleLanguages": boolean,
               "inputLanguages": [ "string" ]
            },
            "modalityProcessing": { 
               "state": "string"
            },
            "sensitiveDataConfiguration": { 
               "detectionMode": "string",
               "detectionScope": [ "string" ],
               "piiEntitiesConfiguration": { 
                  "piiEntityTypes": [ "string" ],
                  "redactionMaskMode": "string"
               }
            }
         },
         "document": { 
            "modalityProcessing": { 
               "state": "string"
            },
            "sensitiveDataConfiguration": { 
               "detectionMode": "string",
               "detectionScope": [ "string" ],
               "piiEntitiesConfiguration": { 
                  "piiEntityTypes": [ "string" ],
                  "redactionMaskMode": "string"
               }
            },
            "splitter": { 
               "state": "string"
            }
         },
         "image": { 
            "modalityProcessing": { 
               "state": "string"
            },
            "sensitiveDataConfiguration": { 
               "detectionMode": "string",
               "detectionScope": [ "string" ],
               "piiEntitiesConfiguration": { 
                  "piiEntityTypes": [ "string" ],
                  "redactionMaskMode": "string"
               }
            }
         },
         "modalityRouting": { 
            "jpeg": "string",
            "mov": "string",
            "mp4": "string",
            "png": "string"
         },
         "video": { 
            "modalityProcessing": { 
               "state": "string"
            },
            "sensitiveDataConfiguration": { 
               "detectionMode": "string",
               "detectionScope": [ "string" ],
               "piiEntitiesConfiguration": { 
                  "piiEntityTypes": [ "string" ],
                  "redactionMaskMode": "string"
               }
            }
         }
      },
      "projectArn": "string",
      "projectDescription": "string",
      "projectName": "string",
      "projectStage": "string",
      "projectType": "string",
      "standardOutputConfiguration": { 
         "audio": { 
            "extraction": { 
               "category": { 
                  "state": "string",
                  "typeConfiguration": { 
                     "transcript": { 
                        "channelLabeling": { 
                           "state": "string"
                        },
                        "speakerLabeling": { 
                           "state": "string"
                        }
                     }
                  },
                  "types": [ "string" ]
               }
            },
            "generativeField": { 
               "state": "string",
               "types": [ "string" ]
            }
         },
         "document": { 
            "extraction": { 
               "boundingBox": { 
                  "state": "string"
               },
               "granularity": { 
                  "types": [ "string" ]
               }
            },
            "generativeField": { 
               "state": "string"
            },
            "outputFormat": { 
               "additionalFileFormat": { 
                  "state": "string"
               },
               "textFormat": { 
                  "types": [ "string" ]
               }
            }
         },
         "image": { 
            "extraction": { 
               "boundingBox": { 
                  "state": "string"
               },
               "category": { 
                  "state": "string",
                  "types": [ "string" ]
               }
            },
            "generativeField": { 
               "state": "string",
               "types": [ "string" ]
            }
         },
         "video": { 
            "extraction": { 
               "boundingBox": { 
                  "state": "string"
               },
               "category": { 
                  "state": "string",
                  "types": [ "string" ]
               }
            },
            "generativeField": { 
               "state": "string",
               "types": [ "string" ]
            }
         }
      },
      "status": "string"
   }
}
```

## Response Elements
<a name="API_data-automation_GetDataAutomationProject_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [project](#API_data-automation_GetDataAutomationProject_ResponseSyntax) **   <a name="bedrock-data-automation_GetDataAutomationProject-response-project"></a>
Details about the project.  
Type: [DataAutomationProject](API_data-automation_DataAutomationProject.md) object

## Errors
<a name="API_data-automation_GetDataAutomationProject_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
  
HTTP Status Code: 403

 ** InternalServerException **   
  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
  
HTTP Status Code: 404

 ** ThrottlingException **   
  
HTTP Status Code: 429

 ** ValidationException **   
  
HTTP Status Code: 400

## See Also
<a name="API_data-automation_GetDataAutomationProject_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/bedrock-data-automation-2023-07-26/GetDataAutomationProject) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/bedrock-data-automation-2023-07-26/GetDataAutomationProject) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/bedrock-data-automation-2023-07-26/GetDataAutomationProject) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/bedrock-data-automation-2023-07-26/GetDataAutomationProject) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/bedrock-data-automation-2023-07-26/GetDataAutomationProject) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/bedrock-data-automation-2023-07-26/GetDataAutomationProject) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/bedrock-data-automation-2023-07-26/GetDataAutomationProject) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/bedrock-data-automation-2023-07-26/GetDataAutomationProject) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/bedrock-data-automation-2023-07-26/GetDataAutomationProject) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/bedrock-data-automation-2023-07-26/GetDataAutomationProject) 

# InvokeBlueprintOptimizationAsync
<a name="API_data-automation_InvokeBlueprintOptimizationAsync"></a>

Starts an asynchronous job to optimize a blueprint using sample data.

## Request Syntax
<a name="API_data-automation_InvokeBlueprintOptimizationAsync_RequestSyntax"></a>

```
POST /invokeBlueprintOptimizationAsync HTTP/1.1
Content-type: application/json

{
   "blueprint": { 
      "blueprintArn": "string",
      "stage": "string"
   },
   "dataAutomationProfileArn": "string",
   "encryptionConfiguration": { 
      "kmsEncryptionContext": { 
         "string" : "string" 
      },
      "kmsKeyId": "string"
   },
   "outputConfiguration": { 
      "s3Object": { 
         "s3Uri": "string",
         "version": "string"
      }
   },
   "samples": [ 
      { 
         "assetS3Object": { 
            "s3Uri": "string",
            "version": "string"
         },
         "groundTruthS3Object": { 
            "s3Uri": "string",
            "version": "string"
         }
      }
   ],
   "tags": [ 
      { 
         "key": "string",
         "value": "string"
      }
   ]
}
```

## URI Request Parameters
<a name="API_data-automation_InvokeBlueprintOptimizationAsync_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_data-automation_InvokeBlueprintOptimizationAsync_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [blueprint](#API_data-automation_InvokeBlueprintOptimizationAsync_RequestSyntax) **   <a name="bedrock-data-automation_InvokeBlueprintOptimizationAsync-request-blueprint"></a>
The blueprint to optimize.  
Type: [BlueprintOptimizationObject](API_data-automation_BlueprintOptimizationObject.md) object  
Required: Yes

 ** [dataAutomationProfileArn](#API_data-automation_InvokeBlueprintOptimizationAsync_RequestSyntax) **   <a name="bedrock-data-automation_InvokeBlueprintOptimizationAsync-request-dataAutomationProfileArn"></a>
The ARN of the data automation profile to use.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 128.  
Pattern: `arn:aws(|-cn|-us-gov):bedrock:[a-zA-Z0-9-]*:(aws|[0-9]{12}):data-automation-profile/[a-zA-Z0-9-_.]+`   
Required: Yes

 ** [encryptionConfiguration](#API_data-automation_InvokeBlueprintOptimizationAsync_RequestSyntax) **   <a name="bedrock-data-automation_InvokeBlueprintOptimizationAsync-request-encryptionConfiguration"></a>
Encryption settings for the optimization job.  
Type: [EncryptionConfiguration](API_data-automation_EncryptionConfiguration.md) object  
Required: No

 ** [outputConfiguration](#API_data-automation_InvokeBlueprintOptimizationAsync_RequestSyntax) **   <a name="bedrock-data-automation_InvokeBlueprintOptimizationAsync-request-outputConfiguration"></a>
Where to store the optimization results.  
Type: [BlueprintOptimizationOutputConfiguration](API_data-automation_BlueprintOptimizationOutputConfiguration.md) object  
Required: Yes

 ** [samples](#API_data-automation_InvokeBlueprintOptimizationAsync_RequestSyntax) **   <a name="bedrock-data-automation_InvokeBlueprintOptimizationAsync-request-samples"></a>
Sample assets and ground truth data to use for optimization.  
Type: Array of [BlueprintOptimizationSample](API_data-automation_BlueprintOptimizationSample.md) objects  
Required: Yes

 ** [tags](#API_data-automation_InvokeBlueprintOptimizationAsync_RequestSyntax) **   <a name="bedrock-data-automation_InvokeBlueprintOptimizationAsync-request-tags"></a>
Tags to assign to the optimization job.  
Type: Array of [Tag](API_data-automation_Tag.md) objects  
Array Members: Minimum number of 0 items. Maximum number of 200 items.  
Required: No

## Response Syntax
<a name="API_data-automation_InvokeBlueprintOptimizationAsync_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "invocationArn": "string"
}
```

## Response Elements
<a name="API_data-automation_InvokeBlueprintOptimizationAsync_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [invocationArn](#API_data-automation_InvokeBlueprintOptimizationAsync_ResponseSyntax) **   <a name="bedrock-data-automation_InvokeBlueprintOptimizationAsync-response-invocationArn"></a>
The ARN of the optimization job invocation.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 128.  
Pattern: `arn:aws(|-cn|-iso|-iso-[a-z]|-us-gov):bedrock:[a-zA-Z0-9-]*:[0-9]{12}:blueprint-optimization-invocation/[a-zA-Z0-9-_]+` 

## Errors
<a name="API_data-automation_InvokeBlueprintOptimizationAsync_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
  
HTTP Status Code: 403

 ** InternalServerException **   
  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
  
HTTP Status Code: 404

 ** ServiceQuotaExceededException **   
  
HTTP Status Code: 402

 ** ThrottlingException **   
  
HTTP Status Code: 429

 ** ValidationException **   
  
HTTP Status Code: 400

## See Also
<a name="API_data-automation_InvokeBlueprintOptimizationAsync_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/bedrock-data-automation-2023-07-26/InvokeBlueprintOptimizationAsync) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/bedrock-data-automation-2023-07-26/InvokeBlueprintOptimizationAsync) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/bedrock-data-automation-2023-07-26/InvokeBlueprintOptimizationAsync) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/bedrock-data-automation-2023-07-26/InvokeBlueprintOptimizationAsync) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/bedrock-data-automation-2023-07-26/InvokeBlueprintOptimizationAsync) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/bedrock-data-automation-2023-07-26/InvokeBlueprintOptimizationAsync) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/bedrock-data-automation-2023-07-26/InvokeBlueprintOptimizationAsync) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/bedrock-data-automation-2023-07-26/InvokeBlueprintOptimizationAsync) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/bedrock-data-automation-2023-07-26/InvokeBlueprintOptimizationAsync) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/bedrock-data-automation-2023-07-26/InvokeBlueprintOptimizationAsync) 

# InvokeDataAutomationLibraryIngestionJob
<a name="API_data-automation_InvokeDataAutomationLibraryIngestionJob"></a>

Invokes a data automation library ingestion job.

## Request Syntax
<a name="API_data-automation_InvokeDataAutomationLibraryIngestionJob_RequestSyntax"></a>

```
PUT /data-automation-libraries/libraryArn/library-ingestion-jobs/ HTTP/1.1
Content-type: application/json

{
   "clientToken": "string",
   "entityType": "string",
   "inputConfiguration": { 
      "inlinePayload": { ... },
      "s3Object": { 
         "s3Uri": "string",
         "version": "string"
      }
   },
   "notificationConfiguration": { 
      "eventBridgeConfiguration": { 
         "eventBridgeEnabled": boolean
      }
   },
   "operationType": "string",
   "outputConfiguration": { 
      "s3Uri": "string"
   },
   "tags": [ 
      { 
         "key": "string",
         "value": "string"
      }
   ]
}
```

## URI Request Parameters
<a name="API_data-automation_InvokeDataAutomationLibraryIngestionJob_RequestParameters"></a>

The request uses the following URI parameters.

 ** [libraryArn](#API_data-automation_InvokeDataAutomationLibraryIngestionJob_RequestSyntax) **   <a name="bedrock-data-automation_InvokeDataAutomationLibraryIngestionJob-request-uri-libraryArn"></a>
The library's ARN.  
Length Constraints: Minimum length of 0. Maximum length of 128.  
Pattern: `arn:aws(|-cn|-iso|-iso-[a-z]|-us-gov):bedrock:[a-zA-Z0-9-]*:[0-9]{12}:data-automation-library/[a-zA-Z0-9-]{12,36}`   
Required: Yes

## Request Body
<a name="API_data-automation_InvokeDataAutomationLibraryIngestionJob_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [clientToken](#API_data-automation_InvokeDataAutomationLibraryIngestionJob_RequestSyntax) **   <a name="bedrock-data-automation_InvokeDataAutomationLibraryIngestionJob-request-clientToken"></a>
To avoid creating duplicate resources, specify a unique token for this job.  
Type: String  
Length Constraints: Minimum length of 33. Maximum length of 256.  
Pattern: `[a-zA-Z0-9](-*[a-zA-Z0-9]){0,256}`   
Required: No

 ** [entityType](#API_data-automation_InvokeDataAutomationLibraryIngestionJob_RequestSyntax) **   <a name="bedrock-data-automation_InvokeDataAutomationLibraryIngestionJob-request-entityType"></a>
The entity type.  
Type: String  
Valid Values: `VOCABULARY`   
Required: Yes

 ** [inputConfiguration](#API_data-automation_InvokeDataAutomationLibraryIngestionJob_RequestSyntax) **   <a name="bedrock-data-automation_InvokeDataAutomationLibraryIngestionJob-request-inputConfiguration"></a>
Input configuration for the job.  
Type: [InputConfiguration](API_data-automation_InputConfiguration.md) object  
Required: Yes

 ** [notificationConfiguration](#API_data-automation_InvokeDataAutomationLibraryIngestionJob_RequestSyntax) **   <a name="bedrock-data-automation_InvokeDataAutomationLibraryIngestionJob-request-notificationConfiguration"></a>
Notification configuration for the job.  
Type: [NotificationConfiguration](API_data-automation_NotificationConfiguration.md) object  
Required: No

 ** [operationType](#API_data-automation_InvokeDataAutomationLibraryIngestionJob_RequestSyntax) **   <a name="bedrock-data-automation_InvokeDataAutomationLibraryIngestionJob-request-operationType"></a>
The operation type.  
Type: String  
Valid Values: `UPSERT | DELETE`   
Required: Yes

 ** [outputConfiguration](#API_data-automation_InvokeDataAutomationLibraryIngestionJob_RequestSyntax) **   <a name="bedrock-data-automation_InvokeDataAutomationLibraryIngestionJob-request-outputConfiguration"></a>
Output configuration for the job.  
Type: [OutputConfiguration](API_data-automation_OutputConfiguration.md) object  
Required: Yes

 ** [tags](#API_data-automation_InvokeDataAutomationLibraryIngestionJob_RequestSyntax) **   <a name="bedrock-data-automation_InvokeDataAutomationLibraryIngestionJob-request-tags"></a>
Tags assigned to the job at time of creation.  
Type: Array of [Tag](API_data-automation_Tag.md) objects  
Array Members: Minimum number of 0 items. Maximum number of 200 items.  
Required: No

## Response Syntax
<a name="API_data-automation_InvokeDataAutomationLibraryIngestionJob_ResponseSyntax"></a>

```
HTTP/1.1 201
Content-type: application/json

{
   "jobArn": "string"
}
```

## Response Elements
<a name="API_data-automation_InvokeDataAutomationLibraryIngestionJob_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 201 response.

The following data is returned in JSON format by the service.

 ** [jobArn](#API_data-automation_InvokeDataAutomationLibraryIngestionJob_ResponseSyntax) **   <a name="bedrock-data-automation_InvokeDataAutomationLibraryIngestionJob-response-jobArn"></a>
The job's ARN.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 128.  
Pattern: `arn:aws(|-cn|-iso|-iso-[a-z]|-us-gov):bedrock:[a-zA-Z0-9-]*:[0-9]{12}:data-automation-library-ingestion-job/[a-zA-Z0-9-]{12,36}` 

## Errors
<a name="API_data-automation_InvokeDataAutomationLibraryIngestionJob_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
  
HTTP Status Code: 403

 ** ConflictException **   
  
HTTP Status Code: 409

 ** InternalServerException **   
  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
  
HTTP Status Code: 404

 ** ServiceQuotaExceededException **   
  
HTTP Status Code: 402

 ** ThrottlingException **   
  
HTTP Status Code: 429

 ** ValidationException **   
  
HTTP Status Code: 400

## See Also
<a name="API_data-automation_InvokeDataAutomationLibraryIngestionJob_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/bedrock-data-automation-2023-07-26/InvokeDataAutomationLibraryIngestionJob) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/bedrock-data-automation-2023-07-26/InvokeDataAutomationLibraryIngestionJob) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/bedrock-data-automation-2023-07-26/InvokeDataAutomationLibraryIngestionJob) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/bedrock-data-automation-2023-07-26/InvokeDataAutomationLibraryIngestionJob) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/bedrock-data-automation-2023-07-26/InvokeDataAutomationLibraryIngestionJob) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/bedrock-data-automation-2023-07-26/InvokeDataAutomationLibraryIngestionJob) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/bedrock-data-automation-2023-07-26/InvokeDataAutomationLibraryIngestionJob) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/bedrock-data-automation-2023-07-26/InvokeDataAutomationLibraryIngestionJob) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/bedrock-data-automation-2023-07-26/InvokeDataAutomationLibraryIngestionJob) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/bedrock-data-automation-2023-07-26/InvokeDataAutomationLibraryIngestionJob) 

# ListBlueprints
<a name="API_data-automation_ListBlueprints"></a>

Gets a list a blueprints in your account, or public blueprints provided by the service, or versions of a blueprint. By default, the service returns a list of blueprints without blueprint versions that are in your account and in the `LIVE` stage.

## Request Syntax
<a name="API_data-automation_ListBlueprints_RequestSyntax"></a>

```
POST /blueprints/ HTTP/1.1
Content-type: application/json

{
   "blueprintArn": "string",
   "blueprintStageFilter": "string",
   "maxResults": number,
   "nextToken": "string",
   "projectFilter": { 
      "projectArn": "string",
      "projectStage": "string"
   },
   "resourceOwner": "string"
}
```

## URI Request Parameters
<a name="API_data-automation_ListBlueprints_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_data-automation_ListBlueprints_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [blueprintArn](#API_data-automation_ListBlueprints_RequestSyntax) **   <a name="bedrock-data-automation_ListBlueprints-request-blueprintArn"></a>
The blueprint's ARN.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 128.  
Pattern: `arn:aws(|-cn|-us-gov):bedrock:[a-zA-Z0-9-]*:(aws|[0-9]{12}):blueprint/(bedrock-data-automation-public-[a-zA-Z0-9-_]{1,30}|[a-zA-Z0-9-]{12,36})`   
Required: No

 ** [blueprintStageFilter](#API_data-automation_ListBlueprints_RequestSyntax) **   <a name="bedrock-data-automation_ListBlueprints-request-blueprintStageFilter"></a>
The blueprints' stage. To view blueprints in development, specify `DEVELOPMENT`.  
Type: String  
Valid Values: `DEVELOPMENT | LIVE | ALL`   
Required: No

 ** [maxResults](#API_data-automation_ListBlueprints_RequestSyntax) **   <a name="bedrock-data-automation_ListBlueprints-request-maxResults"></a>
The maximum number of blueprints to return in one page of results.  
Type: Integer  
Valid Range: Minimum value of 1. Maximum value of 1000.  
Required: No

 ** [nextToken](#API_data-automation_ListBlueprints_RequestSyntax) **   <a name="bedrock-data-automation_ListBlueprints-request-nextToken"></a>
Specify the pagination token from a previous request to retrieve the next page of results.  
[...]
